Description

Hi there.

We have a redmine as our main ticket system with AD auth integration. A little time ago we deicide to autocreate users in redmine

when we receive a mail from it.

I tried to set a parameter "unknown_user=create", but result is not good.

I look at models/mail_handler.rb - create_user_from_email and not found any LDAP queries, just an automatical creation with

random password.

Thank you for any solution and sorry for my bad english.

History

#1 - 2009-11-16 12:24 - Igor Kalashnikov

Explanation: I want redmine to search on AD server via LDAP for users with a mail address from email and create a redmine user if it is found.

#2 - 2009-11-16 13:08 - Felix Schäfer

Have a look at #1838, there is a patch that might work for you. It effectively works the other way round from what you are describing (every AD user is

created in Redmine, as opposed to looking up unknown users in AD), but I think it would effectively solve your problem.

#3 - 2009-11-16 15:15 - Igor Kalashnikov

Thank you.

#4 - 2009-11-16 15:38 - Igor Kalashnikov

But the official solution is more preferred.

#5 - 2009-11-19 20:34 - Jean-Philippe Lang

- Category changed from Email notifications to LDAP

#6 - 2010-07-03 13:43 - Ilya Kisleyko

Just installed Redmine 9.4 on the Ubuntu 10.04 SRV, Apache2 + Passenger

Successfully adjusted the integration with AD and automatically creation when first log in Redmine, installed automatic reset of mail from mail box

(IMAP)

The question is how to achieve the creation of user in Redmine from LDAP when user sends the mail?

when I use "unknown_user=create" - the user in Redmine is created but without running - in LDAP, Authentication mode"= "internal", it is getting the

new password and etc.

when using "unknown_user=accept" the tasks are created by anonymus, the adress of the sender is thowed out and as a result thee is no feedback.

Is there is any opportunity to make Redmine automatically take the user from AD not only when enter manually but also through using the mail?

I want to explain why I don't want to do the import by user from AD to Redmine - for now yes ,I'll solve the problem, but in future, when there will be

creating new users in domain , you have to think about the need to write them not only in AD but in Redmine as well. I would like this all to be

automatically.

#7 - 2010-07-03 17:52 - Felix Schäfer

Ilya Kisleyko wrote:
https://www.redmine.org/issues/1838


The question is how to achieve the creation of user in Redmine from LDAP when user sends the mail?

 Not possible at the moment.

#8 - 2012-09-07 14:38 - Bjarni Thorisson

How about now?

Has any thought been given to this?

Does the new Advanced LDAP thingy address this?

Thanks,

Bjarni

Felix Schäfer wrote:

Ilya Kisleyko wrote:

The question is how to achieve the creation of user in Redmine from LDAP when user sends the mail?

 Not possible at the moment.

#9 - 2012-12-03 09:17 - Stanislav German-Evtushenko

It would be a great feature especially with possibility to prevent creation of non-AD users.
